#include <iostream>
#include <fstream>
#include <algorithm>
using namespace std;
int d=0;
int ucln(int a,int b)
{
	if((a>0)&&(b>0))
	while(a!=b)
	{
		if(a<b)
		{
			b=b-a;
		}
		if(a>b)
		{
			a=a-b;
		}
	}
	return a;
}
int main()
{
	int n; 
	ifstream fi("NTCN.inp");
	ofstream fo("NTCN.out");
	fi>>n;
	int a[n];
	for(int i=0;i<n;i++)
	{
		fi>>a[i];
	}
	sort(a,a+n);
	for(int j=0;j<n;j++)
	{
		for(int u=j+1;u<n;u++)
		{
			if(ucln(a[j],a[u])==1)
			{
				d++;
			}
		}
	}
	fo<<d;
	fi.close();
	fo.close() ;
}

